%global packname  XVector
%global rlibdir %{_libdir}/R/library

Name:             R-%{packname}
Version:          0.10.0
Release:          2%{dist}
Summary:          Representation and manipulation of external sequences
Group:            Applications/Engineering 
License:          Artistic 2.0
URL:              http://www.bioconductor.org/packages/release/bioc/html/XVector.html
Source0:          http://www.bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
Patch0:           R-XVector-no-zlibbioc.patch
Requires:         R-core >= 3.0.0 R-methods R-IRanges >= 2.3.7 R-S4Vectors >= 0.7.1
Requires:         R-BiocGenerics >= 0.11.3
BuildRequires:    R-devel >= 3.0.0 tex(latex) R-methods R-IRanges-devel >= 2.3.7
BuildRequires:    R-BiocGenerics >= 0.11.3 R-S4Vectors-devel >= 0.7.1

%description 
Memory efficient S4 classes for storing sequences "externally" (behind an R 
external pointer, or on disk).

%package devel
Summary:          Development files for R-XVector
Requires:         %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for R-XVector.

%prep 
%setup -q -c -n %{packname}
%patch0 -p1 -b .nozb

%build

%install
mkdir -p %{buildroot}%{rlibdir}
R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
# Testing tests optional deps we don't package
# _R_CHECK_FORCE_SUGGESTS_=false %%{_bindir}/R CMD check %%{packname}

%files
%dir %{rlibdir}/%{packname}/
%doc %{rlibdir}/%{packname}/html/
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta/
%{rlibdir}/%{packname}/R/
%{rlibdir}/%{packname}/help/
%{rlibdir}/%{packname}/unitTests/
%{rlibdir}/%{packname}/libs/

%files devel
%{rlibdir}/%{packname}/include/

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec  7 2015 Tom Callaway <spot@fedoraproject.org> - 0.10.0-1
- update to 0.10.0

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 29 2015 Tom Callaway <spot@fedoraproject.org> - 0.8.0-1
- update to 0.8.0
- fix DESCRIPTION to not be doc

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun  9 2014 Tom Callaway <spot@fedoraproject.org> - 0.4.0-1
- update to 0.4.0

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 24 2014 Tom Callaway <spot@fedoraproject.org> - 0.2.0-1
- initial package
